be.fgov.ehealth.hubservices.core.v1

## Class TransactionWithPeriodType

- java.lang.Object
- - be.fgov.ehealth.hubservices.core.v1.TransactionWithPeriodType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2025-03-20T11:19:41+01:00",
                 comments="JAXB RI v2.3.7")
      public class TransactionWithPeriodType
      extends Object
      implements Serializable

  Java class for transactionWithPeriodType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="transactionWithPeriodType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="cd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-TRANSACTION" maxOccurs="unbounded" minOccurs="0"/>
               <element name="author" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}authorType" minOccurs="0"/>
               <element name="begindate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
               <element name="enddate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransactionWithPeriodType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AuthorType` | `getAuthor()` Gets the value of the author property.
    `org.joda.time.DateTime` | `getBegindate()` Gets the value of the begindate property.
    `List<CDTRANSACTION>` | `getCds()` Gets the value of the cds property.
    `org.joda.time.DateTime` | `getEnddate()` Gets the value of the enddate property.
    `void` | `setAuthor(AuthorType value)` Sets the value of the author property.
    `void` | `setBegindate(org.joda.time.DateTime value)` Sets the value of the begindate property.
    `void` | `setEnddate(org.joda.time.DateTime value)` Sets the value of the enddate property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TransactionWithPeriodType

          public TransactionWithPeriodType()

  - ### Method Detail

    - #### getCds

          public List<CDTRANSACTION> getCds()

      Gets the value of the cds property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the cds property.

      For example, to add a new item, do as follows:

              getCds().add(newItem);

      Objects of the following type(s) are allowed in the list `CDTRANSACTION`

    - #### getAuthor

          public AuthorType getAuthor()

      Gets the value of the author property.
      Returns:
        possible object is `AuthorType`

    - #### setAuthor

          public void setAuthor(AuthorType value)

      Sets the value of the author property.
      Parameters:
        `value` - allowed object is `AuthorType`

    - #### getBegindate

          public org.joda.time.DateTime getBegindate()

      Gets the value of the begindate property.
      Returns:
        possible object is `String`

    - #### setBegindate

          public void setBegindate(org.joda.time.DateTime value)

      Sets the value of the begindate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getEnddate

          public org.joda.time.DateTime getEnddate()

      Gets the value of the enddate property.
      Returns:
        possible object is `String`

    - #### setEnddate

          public void setEnddate(org.joda.time.DateTime value)

      Sets the value of the enddate property.
      Parameters:
        `value` - allowed object is `String`

Connector Package PERSMIDWIFE 4.7.3 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.